# https://sourceforge.net/projects/gparted/files/gparted/gparted-0.27.0/gparted-0.27.0.tar.gz

Name:		gparted
Version:	0.28.1
Release:	%mkrel 1
Summary:        Graphical frontend to libparted
Summary(de):    Grafischer Frontend für libparted
Summary(pl):    Graficzna nakładka na libparted

License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://gparted.sourceforge.net
Source0:	%{name}-%{version}.tar.xz
Source1:	gparted
Source2:	org.pclinuxos.gparted.policy
Patch0:		%{name}-%{version}-desktop-file.patch

BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtkmm2.4-devel
BuildRequires:	%{_lib}parted-devel
BuildRequires:	%{_lib}uuid-devel
BuildRequires:	libpthread-stubs
Requires:	polkit

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to
libparted. Among other features it supports creating, resizing, moving
and copying of partitions.

%description -l de
GParted steht für Gnome Partition Editor und ist ein graphisches Frontend zu libparted.
Neben anderen Features, unterstützt es das Erstellen, Ändern der Größe,
Verschieben und Kopieren von Partitionen.

%description -l pl
GParted jest graficzą nakładką na libparted. Służy do partycjonowania dysku. Obsługuje
tworzenie, kopiowanie, modyfikacje wielkości oraz usuwanie partycji.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
  --enable-libparted-dmraid
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%find_lang %name --with-gnome
%__install -dm755 %{buildroot}/usr/libexec
%__mv %{buildroot}%{_sbindir}/%{name} %{buildroot}/usr/libexec/%{name}
%__install -Dm755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
%__install -Dm644 %{SOURCE2} %{buildroot}%{_datadir}/polkit-1/actions/org.pclinuxos.gparted.policy

%clean
%__rm -rf %{buildroot}

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_usr}/libexec/%{name}
%{_sbindir}/gpartedbin
%{_datadir}/appdata/gparted.appdata.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%{_datadir}/omf/%{name}/%{name}-*.omf
%{_datadir}/polkit-1/actions/org.pclinuxos.gparted.policy

%changelog
* Thu Jun 08 2017 adrianomorselli <adrianomorselli> 0.28.1-1uplos2017
- update
